public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpcre/
Date: Tue, 24 Nov 2015 09:16:23 +0000 (UTC)	[thread overview]
Message-ID: <1448356575.bfcb9b3737ce68bfd2111c5e5adb62743f8de0eb.polynomial-c@gentoo> (raw)

commit:     bfcb9b3737ce68bfd2111c5e5adb62743f8de0eb
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 24 09:14:59 2015 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Nov 24 09:16:15 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfcb9b37

dev-libs/libpcre: Bump to version 8.38

Package-Manager: portage-2.2.25
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 dev-libs/libpcre/Manifest            |  1 +
 dev-libs/libpcre/libpcre-8.38.ebuild | 92 ++++++++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/dev-libs/libpcre/Manifest b/dev-libs/libpcre/Manifest
index a4bcd7b..c0cadfd 100644
--- a/dev-libs/libpcre/Manifest
+++ b/dev-libs/libpcre/Manifest
@@ -2,3 +2,4 @@ DIST pcre-7.9.tar.bz2 861580 SHA256 40a13a9759f1de5b16bc2f0d47b6aa5f0ec010325646
 DIST pcre-8.35.tar.bz2 1522220 SHA256 a961c1c78befef263cc130756eeca7b674b4e73a81533293df44e4265236865b SHA512 e94c652b40de60b391e28afbddc67b5a034650f6f62027e52f2d7aef53caf5f0da9f2d4f6872d1558f965dd9d4d696e5e23d2a50f20a4fbc9f0a707fb6f55fae WHIRLPOOL 677dd9673299438c4d76c68947124069b9c2b88ac837e59d00fc4e92113498357041f173ec4ae1cd61e760debad0a2392710f986794796678e596b9a22ba62a2
 DIST pcre-8.36.tar.bz2 1533818 SHA256 ef833457de0c40e82f573e34528f43a751ff20257ad0e86d272ed5637eb845bb SHA512 acd2bc6911be7b518ad4aca3c3ccbe98bdbeabf0e77d6b04009838c7825b563a001377f8c3a6a8a0583ec32ee9fefe05e3c1a69f272fe5084469a6b6c2148fbf WHIRLPOOL 4c144e3c468a76d8bac3d8a0d4642f7b2e2bd03f84ca915d51a81af7128d7d9c6ed7272bf25e2b9c5eb435037b77ffc41b871bd7257efde0a14a20f5fb4b8432
 DIST pcre-8.37.tar.bz2 1557603 SHA256 51679ea8006ce31379fb0860e46dd86665d864b5020fc9cd19e71260eef4789d SHA512 19344c9add2ebbd26c528505d07d3b028d79bc3e6103d51453a449cebd76bc76f5bc7ddd9ef0de41f98c50be74a2d9a65db539ed60f1add1086d99bde8a81466 WHIRLPOOL 43f723a9107fd6d78a88d4682502d79d5b9b0df90a579667a80b9862611a1c7bee25a1d5a1f9facec7c077f89605d7d96e3843d4aa5b94113b49b06a974331e5
+DIST pcre-8.38.tar.bz2 1562265 SHA256 b9e02d36e23024d6c02a2e5b25204b3a4fa6ade43e0a5f869f254f49535079df SHA512 ad3412ceee8f992787a3e7cbe0155ffba67affd4b2dfece6c4501dc8d2012f52dcc1ee1f56759362e04bbbd10ea9370b3e46f238e2f75005cb69f6c8439e52c0 WHIRLPOOL 68533f741a3faa618f4d7341bfa59aaac295ac6af6085772e4c169ad73fae38e98cace2ce2af2899a619bb05dce79859dcd175a158a73729082f7cf52107d1df

diff --git a/dev-libs/libpcre/libpcre-8.38.ebuild b/dev-libs/libpcre/libpcre-8.38.ebuild
new file mode 100644
index 0000000..7cf1f69
--- /dev/null
+++ b/dev-libs/libpcre/libpcre-8.38.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils multilib libtool flag-o-matic toolchain-funcs multilib-minimal
+
+DESCRIPTION="Perl-compatible regular expression library"
+HOMEPAGE="http://www.pcre.org/"
+MY_P="pcre-${PV/_rc/-RC}"
+if [[ ${PV} != *_rc* ]] ; then
+	# Only the final releases are available here.
+	SRC_URI="mirror://sourceforge/pcre/${MY_P}.tar.bz2
+		ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/${MY_P}.tar.bz2"
+else
+	SRC_URI="ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/Testing/${MY_P}.tar.bz2"
+fi
+
+LICENSE="BSD"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="bzip2 +cxx +jit libedit pcre16 pcre32 +readline +recursion-limit static-libs unicode zlib"
+REQUIRED_USE="readline? ( !libedit )
+	libedit? ( !readline )"
+
+RDEPEND="bzip2? ( app-arch/bzip2 )
+	zlib? ( sys-libs/zlib )
+	libedit? ( dev-libs/libedit )
+	readline? ( sys-libs/readline:0= )"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	userland_GNU? ( >=sys-apps/findutils-4.4.0 )"
+RDEPEND="${RDEPEND}
+	abi_x86_32? (
+		!<=app-emulation/emul-linux-x86-baselibs-20131008-r2
+		!app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+	)"
+
+S=${WORKDIR}/${MY_P}
+
+MULTILIB_CHOST_TOOLS=(
+	/usr/bin/pcre-config
+)
+
+src_prepare() {
+	sed -i -e "s:-lpcre ::" libpcrecpp.pc.in || die
+	elibtoolize
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		--with-match-limit-recursion=$(usex recursion-limit 8192 MATCH_LIMIT) \
+		$(multilib_native_use_enable bzip2 pcregrep-libbz2) \
+		$(use_enable cxx cpp) \
+		$(use_enable jit) $(use_enable jit pcregrep-jit) \
+		$(use_enable pcre16) \
+		$(use_enable pcre32) \
+		$(multilib_native_use_enable libedit pcretest-libedit) \
+		$(multilib_native_use_enable readline pcretest-libreadline) \
+		$(use_enable static-libs static) \
+		$(use_enable unicode utf) $(use_enable unicode unicode-properties) \
+		$(multilib_native_use_enable zlib pcregrep-libz) \
+		--enable-pcre8 \
+		--enable-shared \
+		--htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
+		--docdir="${EPREFIX}"/usr/share/doc/${PF}
+}
+
+multilib_src_compile() {
+	emake V=1 $(multilib_is_native_abi || echo "bin_PROGRAMS=")
+}
+
+multilib_src_install() {
+	emake \
+		DESTDIR="${D}" \
+		$(multilib_is_native_abi || echo "bin_PROGRAMS= dist_html_DATA=") \
+		install
+	multilib_is_native_abi && gen_usr_ldscript -a pcre
+}
+
+multilib_src_install_all() {
+	prune_libtool_files
+}
+
+pkg_preinst() {
+	preserve_old_lib /$(get_libdir)/libpcre.so.0
+}
+
+pkg_postinst() {
+	preserve_old_lib_notify /$(get_libdir)/libpcre.so.0
+}


             reply	other threads:[~2015-11-24  9:16 UTC|newest]

Thread overview: 126+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-11-24  9:16 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-31 11:15 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpcre/ Andreas K. Hüttel
2024-03-19  3:42 Ionen Wolkens
2024-03-03 19:03 Michał Górny
2024-03-03  4:05 Sam James
2024-03-02 22:07 Sam James
2024-02-27 23:21 Sam James
2024-02-27 23:04 Sam James
2024-02-27 23:04 Sam James
2024-02-27 23:04 Sam James
2024-02-06 22:44 Sam James
2024-02-06 22:44 Sam James
2023-09-07 23:27 Sam James
2023-05-14 17:11 Sam James
2023-05-14  7:26 Sam James
2022-03-22 15:12 Mike Gilbert
2021-07-27  3:16 Sam James
2021-07-26 11:17 Sam James
2021-07-25 20:09 Sam James
2021-07-25  8:13 Sergei Trofimovich
2021-07-24  7:58 Agostino Sarubbo
2021-07-24  7:58 Agostino Sarubbo
2021-07-24  7:57 Agostino Sarubbo
2021-06-15 20:05 David Seifert
2021-03-20  1:15 Sam James
2021-03-20  1:15 Sam James
2020-12-27 14:21 Fabian Groffen
2020-09-18 10:30 Lars Wendler
2020-09-06  7:49 Sergei Trofimovich
2020-09-03 23:43 Sam James
2020-08-29  4:44 Sam James
2020-08-28 22:21 Sergei Trofimovich
2020-08-22 11:26 Agostino Sarubbo
2020-08-22  5:50 Agostino Sarubbo
2020-08-21 15:27 Agostino Sarubbo
2020-08-19  9:06 Sam James
2020-05-05 21:04 Sergei Trofimovich
2020-05-01 17:48 Agostino Sarubbo
2020-05-01 17:43 Agostino Sarubbo
2020-05-01 17:41 Agostino Sarubbo
2020-05-01 14:03 Agostino Sarubbo
2020-05-01 14:00 Agostino Sarubbo
2020-05-01 13:58 Agostino Sarubbo
2020-05-01  8:40 Mart Raudsepp
2020-04-30 15:58 Agostino Sarubbo
2020-02-13 10:20 Lars Wendler
2020-02-12 15:22 David Seifert
2019-06-24 11:29 Michael Haubenwallner
2019-05-04 16:26 Mikle Kolyada
2019-04-10  0:15 Aaron Bauman
2019-03-05 18:10 Mikle Kolyada
2019-03-05 18:10 Mikle Kolyada
2019-03-05 18:10 Mikle Kolyada
2019-03-03  6:00 Mikle Kolyada
2019-03-02 15:33 Mikle Kolyada
2019-02-28  7:23 Sergei Trofimovich
2019-02-27  8:20 Sergei Trofimovich
2019-02-27  8:20 Sergei Trofimovich
2019-02-27  7:55 Sergei Trofimovich
2019-02-25 22:23 Sergei Trofimovich
2019-02-25 15:01 Mikle Kolyada
2019-02-24 19:01 Thomas Deutschmann
2019-02-23 19:15 Lars Wendler
2018-05-18  8:25 Mike Frysinger
2018-03-17 22:38 Matt Turner
2018-03-02 11:44 Mart Raudsepp
2017-12-29 19:23 Mikle Kolyada
2017-12-14 12:31 Jeroen Roovers
2017-11-24  6:04 Markus Meier
2017-11-23 23:17 Sergei Trofimovich
2017-11-23 11:54 Tobias Klausmann
2017-11-18  9:36 Sergei Trofimovich
2017-11-16 21:57 Sergei Trofimovich
2017-11-16 16:32 Tobias Klausmann
2017-10-24 18:55 Sergei Trofimovich
2017-09-26 21:21 Sergei Trofimovich
2017-09-25 21:50 Sergei Trofimovich
2017-09-25 21:42 Sergei Trofimovich
2017-08-31 15:18 Matt Turner
2017-08-26  8:57 Mikle Kolyada
2017-08-25  4:44 Markus Meier
2017-08-18 20:45 Sergei Trofimovich
2017-08-18 19:13 Thomas Deutschmann
2017-07-05 21:46 Lars Wendler
2017-06-07 10:38 Lars Wendler
2017-04-12 19:30 Mike Frysinger
2017-03-30  2:39 Matt Turner
2017-03-30  2:39 Matt Turner
2017-03-28 11:08 Michael Weber
2017-03-28 10:56 Michael Weber
2017-03-27  6:38 Jeroen Roovers
2017-03-25 19:27 Agostino Sarubbo
2017-03-25 19:25 Agostino Sarubbo
2017-03-25 14:43 Agostino Sarubbo
2017-01-29 16:19 Fabian Groffen
2017-01-18  8:55 Mike Frysinger
2017-01-11 18:58 Lars Wendler
2017-01-11 10:35 Agostino Sarubbo
2016-12-09 11:12 Lars Wendler
2016-11-10  6:11 Mike Frysinger
2016-10-24 18:10 Markus Meier
2016-10-16 17:45 Tobias Klausmann
2016-10-16  6:49 Jeroen Roovers
2016-10-10 11:38 Lars Wendler
2016-07-08 12:02 Agostino Sarubbo
2016-07-08 10:02 Agostino Sarubbo
2016-07-08  7:53 Agostino Sarubbo
2016-06-27  8:48 Agostino Sarubbo
2016-06-27  8:23 Agostino Sarubbo
2016-06-26 18:33 Markus Meier
2016-06-21 11:22 Jeroen Roovers
2016-06-20 10:57 Tobias Klausmann
2016-06-14 18:39 Lars Wendler
2016-02-10 19:41 Mike Frysinger
2016-01-11 10:46 Mike Frysinger
2016-01-11  9:07 Agostino Sarubbo
2015-12-27  9:35 Mikle Kolyada
2015-12-25 18:19 Agostino Sarubbo
2015-12-07 11:40 Agostino Sarubbo
2015-12-06 22:07 Matt Turner
2015-12-05 12:45 Markus Meier
2015-11-30  6:06 Jeroen Roovers
2015-11-29  7:00 Jeroen Roovers
2015-11-26  9:58 Agostino Sarubbo
2015-11-24  9:16 Lars Wendler
2015-08-25 16:34 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1448356575.bfcb9b3737ce68bfd2111c5e5adb62743f8de0eb.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox